.\"                                      Hey, EMACS: -*- nroff -*-
.\" First parameter, NAME, should be all caps
.\" Second parameter, SECTION, should be 1-8, maybe w/ subsection
.\" other parameters are allowed: see man(7), man(1)
.TH COREWARS 6 "April  12, 2000"
.\" Please adjust this date whenever revising the manpage.
.\"
.\" Some roff macros, for reference:
.\" .nh        disable hyphenation
.\" .hy        enable hyphenation
.\" .ad l      left justify
.\" .ad b      justify to both left and right margins
.\" .nf        disable filling
.\" .fi        enable filling
.\" .br        insert line break
.\" .sp <n>    insert n+1 empty lines
.\" for manpage-specific macros, see man(7)
.SH NAME
corewars, corewars-cmd \- play corewars
.SH SYNOPSIS
\fBcorewars\fP [standard X options]
.br
\fBcorewars-cmd\fP [command line options] files...
.br
.SH DESCRIPTION
Core Wars is a simulation game. A number of programs are loaded into a
virtual machine and executed. The programs can to crash each other, 
manipulate other programs, overwrite as much memory as they can, etc...
The "best" program is selected according to a scoring mechanism which
involves the number of memory cells the program has overwritten, the 
number of other programs it has crashed and whether/when it crashed.
.br
Two different languages are supported. The one called \fBCorewars\fP
is easy to learn and described in the \fBREADME\fP file. The second language, 
called \fBRedcode\fP, is harder to learn but also more powerful.
.PP
.\" TeX users may be more comfortable with the \fB<whatever>\fP and
.\" \fI<whatever>\fP escape sequences to invode bold face and italics, 
.\" respectively.
.SH OPTIONS
Use \fBcorewars-cmd --help\fP to get a list of supported command line options.
.br
.SH AUTHORS
This manual page was written by Michael Vogt <mvogt@acm.org>,
for the Debian GNU/Linux system (but may be used by others).
It was extended by Walter hofmann <walterh@gmx.de>.
